/*
 * @Description:
 * @Author: Aimee·Zhang
 * @Date: 2022-01-05 09:01:12
 * @LastEditors: Aimee·Zhang
 * @LastEditTime: 2022-01-12 16:35:13
 */
import App from './App'
import Vue from 'vue'
import store from './store'
import uView from 'uview-ui'
import filters from './utils/filters.js'
import {
    usqlite
} from '@/uni_modules/onemue-USQLite/js_sdk/usqlite.js'
import model from '@/utils/im/models.js'

import {
    router,
    RouterMount
} from 'router'

Object.keys(filters).forEach(key => {
    Vue.filter(key, filters[key])
})

Vue.use(uView);
Vue.use(router)

Vue.config.productionTip = false
Vue.prototype.$store = store
uni.$sql = usqlite
uni.model = model

uni.$sql.connect({
    name: 'zh-health',// 数据库名称
    path:'_doc/health.db', // 路径
})

App.mpType = 'app'
const app = new Vue({
    store,
    ...App
})
app.$mount()
